"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getQueryName = exports.getOperationName = void 0;
function getOperationName(node) {
    const operationDefinition = node.definitions[0];
    if (!('selectionSet' in operationDefinition)) {
        throw new Error('Selection set is not found in operation definition');
    }
    const selection = operationDefinition.selectionSet.selections[0];
    if (!('name' in selection)) {
        throw new Error('Name not found');
    }
    return selection.name.value;
}
exports.getOperationName = getOperationName;
function getQueryName(node) {
    const nodeDefinitionName = node.definitions[0].name;
    if (nodeDefinitionName == undefined) {
        throw new Error('Name not found');
    }
    return nodeDefinitionName.value;
}
exports.getQueryName = getQueryName;
//# sourceMappingURL=amplicode.js.map