"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEntityAttributes = void 0;
const utils_1 = require("../../../../../common/utils");
function getEntityAttributes(queryNode, idField) {
    var _a, _b;
    const operationDef = queryNode.definitions[0];
    if (!('selectionSet' in operationDef)) {
        throw new Error('selectionSet not found in OperationDefinition');
    }
    const queryField = operationDef.selectionSet.selections[0];
    if (!('selectionSet' in queryField)) {
        throw new Error('selectionSet not found in query Field');
    }
    const fields = (_b = (_a = queryField.selectionSet) === null || _a === void 0 ? void 0 : _a.selections) !== null && _b !== void 0 ? _b : [];
    return fields
        .filter(field => {
        if (!('name' in field)) {
            throw new Error('Cannot find field name');
        }
        return field.name.value !== idField;
    })
        .map(field => {
        if (!('name' in field)) {
            throw new Error('Cannot find field name');
        }
        return {
            name: field.name.value,
            displayName: utils_1.capitalizeFirst(utils_1.splitByCapitalLetter(field.name.value)),
            isRelationField: ('selectionSet' in field) && (field.selectionSet != null),
        };
    });
}
exports.getEntityAttributes = getEntityAttributes;
//# sourceMappingURL=getEntityAttributes.js.map