"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_tag_1 = __importDefault(require("graphql-tag"));
const chai_1 = require("chai");
const getEntityAttributes_1 = require("./getEntityAttributes");
describe('entity list template model stage', () => {
    it('derives a list of entity attributes', () => {
        const attributes = getEntityAttributes_1.getEntityAttributes(QUERY_NODE, 'id');
        chai_1.expect(attributes.sort()).to.deep.equal(RESULT.sort());
    });
    it('relation field is marked as such', () => {
        const attributes = getEntityAttributes_1.getEntityAttributes(QUERY_NODE, 'id');
        const ownerAttr = attributes.find(attr => attr.name === 'owner');
        chai_1.expect(ownerAttr === null || ownerAttr === void 0 ? void 0 : ownerAttr.isRelationField).to.eq(true);
    });
});
const QUERY_NODE = graphql_tag_1.default(`
    query Get_Pet_List {
        petList {
            id
            identificationNumber
            owner {
                firstName
                lastName
            }
        }
    }
`);
const RESULT = [
    {
        "displayName": "Identification Number",
        "isRelationField": false,
        "name": "identificationNumber",
    },
    {
        "displayName": "Owner",
        "isRelationField": true,
        "name": "owner",
    }
];
//# sourceMappingURL=getEntityAttributes.test.js.map